Package be.fgov.ehealth.ehbox.core.v3

# Class Row

java.lang.Object
be.fgov.ehealth.ehbox.core.v3.Row

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:14:01+02:00", comments="JAXB RI v4.0.5") public class Row extends Object implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="EncryptableLeftCell" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
             </choice>
             <choice>
               <element name="EncryptableRightCell" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Row()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getEncryptableLeftCell()`
  If IsEncrypted == True, this MUST contain encrypted content.
  `byte[]`
  `getEncryptableRightCell()`
  If IsEncrypted == True, this MUST contain encrypted content.
  `void`
  `setEncryptableLeftCell(byte[] value)`
  Sets the value of the encryptableLeftCell property.
  `void`
  `setEncryptableRightCell(byte[] value)`
  Sets the value of the encryptableRightCell property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Row

    public Row()

- ## Method Details

  - ### getEncryptableLeftCell

    public byte[] getEncryptableLeftCell()
    If IsEncrypted == True, this MUST contain encrypted content. Anyway it must be converted to base64Binary
    Returns:
      possible object is byte[]

  - ### setEncryptableLeftCell

    public void setEncryptableLeftCell(byte[] value)
    Sets the value of the encryptableLeftCell property.
    Parameters:
      `value` - allowed object is byte[]
    See Also:
      - `getEncryptableLeftCell()`

  - ### getEncryptableRightCell

    public byte[] getEncryptableRightCell()
    If IsEncrypted == True, this MUST contain encrypted content. Anyway it must be converted to base64Binary
    Returns:
      possible object is byte[]

  - ### setEncryptableRightCell

    public void setEncryptableRightCell(byte[] value)
    Sets the value of the encryptableRightCell property.
    Parameters:
      `value` - allowed object is byte[]
    See Also:
      - `getEncryptableRightCell()`